package solutions.bitbadger.documents.sqlite

import org.junit.jupiter.api.DisplayName
import solutions.bitbadger.documents.*
import solutions.bitbadger.documents.common.Definition
import java.sql.Connection
import kotlin.test.Test
import kotlin.test.assertFalse
import kotlin.test.assertTrue

/**
 * SQLite integration tests for the `Definition` object / `ensure*` connection extension functions
 */
@DisplayName("SQLite - Definition")
class DefinitionIT {

    @Test
    @DisplayName("ensureTable creates table and index")
    fun ensureTable() =
        SQLiteDB().use(Definition::ensureTable)

    @Test
    @DisplayName("ensureFieldIndex creates an index")
    fun ensureFieldIndex() =
        SQLiteDB().use(Definition::ensureFieldIndex)
}
